Loading...
Searching...
No Matches
volk_16i_permute_and_scalar_add.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <emmintrin.h>`
`#include <xmmintrin.h>`

Go to the source code of this file.

## Functions

static void | volk_16i_permute_and_scalar_add_a_sse2 (short *target, short *src0, short *permute_indexes, short *cntl0, short *cntl1, short *cntl2, short *cntl3, short *scalars, unsigned int num_points)
static void | volk_16i_permute_and_scalar_add_generic (short *target, short *src0, short *permute_indexes, short *cntl0, short *cntl1, short *cntl2, short *cntl3, short *scalars, unsigned int num_points)

## Function Documentation

## volk_16i_permute_and_scalar_add_a_sse2()

void volk_16i_permute_and_scalar_add_a_sse2 | ( | short * | target,
|  | short * | src0,
|  | short * | permute_indexes,
|  | short * | cntl0,
|  | short * | cntl1,
|  | short * | cntl2,
|  | short * | cntl3,
|  | short * | scalars,
|  | unsigned int | num_points )

inline static

## volk_16i_permute_and_scalar_add_generic()

void volk_16i_permute_and_scalar_add_generic | ( | short * | target,
|  | short * | src0,
|  | short * | permute_indexes,
|  | short * | cntl0,
|  | short * | cntl1,
|  | short * | cntl2,
|  | short * | cntl3,
|  | short * | scalars,
|  | unsigned int | num_points )

inline static